Update Webhook Account
curl --request PUT \
--url https://api.linkupapi.com/v1/webhooks/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}"
payload = {
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: '<string>',
webhook_url: '<string>',
login_token: '<string>',
country: '<string>',
qr_webhook_url: '<string>'
})
};
fetch('https://api.linkupapi.com/v1/webhooks/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "60f7b3b3e4b0c8a2d8e9f1a2",
"login_token": "AQEDARCvKh...",
"country": "US",
"webhook_url": "https://new-webhook.com/linkedin",
"account_name": "Updated Account Name",
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T12:30:00Z"
}
Webhook (Real Time)
Update Webhook Account
Update an existing webhook account
PUT
/
v1
/
webhooks
/
accounts
/
{account_id}
Update Webhook Account
Update the configuration of an existing LinkedIn or WhatsApp webhook account.
Header Parameters
string
required
Your API key
Path Parameters
string
required
The ID of the account to update
Body Parameters
string
New account name
string
New webhook URL for notifications
LinkedIn-specific Parameters
string
New LinkedIn authentication token
string
New country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
WhatsApp-specific Parameters
string
New QR webhook URL for WhatsApp authentication
Response
string
Account identifier
string
Updated LinkedIn authentication token
string
Updated country code
string
Updated webhook URL
string
Updated account name
boolean
Current monitoring status
string
Account creation timestamp
string
Last update timestamp
{
"id": "60f7b3b3e4b0c8a2d8e9f1a2",
"login_token": "AQEDARCvKh...",
"country": "US",
"webhook_url": "https://new-webhook.com/linkedin",
"account_name": "Updated Account Name",
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T12:30:00Z"
}
Notes
- All body parameters are optional - only provide the fields you want to update
- If monitoring is active, changes will take effect immediately
- Updating the login token may require restarting monitoring for the changes to take effect
Was this page helpful?